WordPress Aide

Nous avons fait de notre mieux afin de traduire cette page pour vous. La page en anglais est également disponible.

Vérifier la compatibilité PHP 7 des plug-ins et des thèmes WordPress

Si vous souhaitez tester la compatibilité de votre site WordPress avec PHP 7, procédez comme suit.

Il existe de nombreux plug-ins qui peuvent être utilisés pour cela, nous allons couvrir l'installation du plug-in PHP Compatibility Checker. Si vous décidez d’utiliser un autre plug-in, veillez à en choisir un qui est activement géré.

  1. Connectez-vous à WordPress
  2. Installez le plugin «PHP Compatibility Checker » dans WordPress .
  3. Activez le plugin .
  4. Dans le menu de gauche, développez Outils .
  5. Sélectionnez Compatibilité PHP .
  6. Dans la section Options d’analyse , sélectionnez la version PHP pour laquelle vous souhaitez vérifier la compatibilité:
    • Version PHP
      • PHP 7.0
      • PHP 7.1
      • PHP 7.2

      Remarque: pour les sites hébergés sur Managed WordPress 2.0, vous devez vérifier PHP 7.1.

  7. Exécutez une des procédures suivantes :
    • Analyser uniquement les plug-ins et les thèmes actifs.
    • Analysez tous les plug-ins et thèmes.
  8. Cliquez sur le bouton Analyser le site et laissez le temps à l'opération de s'exécuter.

    Remarque: la durée requise dépend du nombre de plug-ins et de thèmes analysés.

  9. Une fois l'analyse terminée, vous pouvez consulter les résultats de l'analyse.
  10. Cliquez sur le bouton Télécharger le rapport

Certaines limites et mises en garde concernant ce plug-in peuvent avoir un impact sur certains sites WordPress. Le site du développeur contient des détails supplémentaires, ainsi qu'une FAQ pour le plug-in.

En savoir plus